|  | Home | Documentation | Graph Class Reference updated Tue Aug 22 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
Graph Class Reference

`#include <graphStub.h>`

Inheritance diagram for Graph:
[legend]

## Public Member Functions
virtual int | soap_type (void) const
| Return unique type id SOAP_TYPE_Graph. More...
virtual void | soap_default (struct soap *)
| (Re)set members to default values More...
virtual void | soap_serialize (struct soap *) const
| Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures. More...
virtual int | soap_put (struct soap *, const char *tag, const char *type) const
| Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK. More...
virtual int | soap_out (struct soap *, const char *tag, int id, const char *type) const
| Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK. More...
virtual void * | soap_get (struct soap *, const char *tag, const char *type)
| Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error. More...
virtual void * | soap_in (struct soap *, const char *tag, const char *type)
| Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error. More...
virtual Graph * | soap_alloc (void) const
| Return a new object of type Graph, default initialized and not managed by a soap context. More...
| Graph ()
| Constructor with initializations. More...
virtual | ~Graph ()

## Public Attributes
std::vector< Graph * > | edges
| Optional element 'edges' of XSD type 'g:Graph'. More...

## Friends
SOAP_FMAC1 Graph *SOAP_FMAC2 | graph_instantiate_Graph (struct soap *, int, const char *, const char *, size_t *)
| Friend allocator used by soap_new_Graph(struct soap*, int) More...

## Detailed Description

Definition at line 44 of file graphStub.h.

## Constructor & Destructor Documentation

Graph::Graph | ( |  | ) |
| inline

Constructor with initializations.

Definition at line 67 of file graphStub.h.

virtual Graph::~Graph | ( |  | ) |
| inline virtual

Definition at line 70 of file graphStub.h.

## Member Function Documentation

virtual Graph* Graph::soap_alloc | ( | void |  | ) | const
| inline virtual

Return a new object of type Graph, default initialized and not managed by a soap context.

Definition at line 64 of file graphStub.h.

virtual void Graph::soap_default | ( | struct soap * |  | ) |
| virtual

(Re)set members to default values

virtual void* Graph::soap_get | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  |
| virtual

Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.

virtual void* Graph::soap_in | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  |
| virtual

Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.

virtual int Graph::soap_out | ( | struct soap * | ,
|  | const char * | tag,
|  | int | id,
|  | const char * | type
| ) |  | const
| virtual

Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.

virtual int Graph::soap_put | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  | const
| virtual

Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.

virtual void Graph::soap_serialize | ( | struct soap * |  | ) | const
| virtual

Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.

virtual int Graph::soap_type | ( | void |  | ) | const
| inline virtual

Return unique type id SOAP_TYPE_Graph.

Definition at line 50 of file graphStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 Graph* SOAP_FMAC2 graph_instantiate_Graph | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_Graph(struct soap*, int)

## Member Data Documentation

std::vector<Graph *> Graph::edges

Optional element 'edges' of XSD type 'g:Graph'.

Definition at line 47 of file graphStub.h.

The documentation for this class was generated from the following file:

- graphStub.h